List Alert Rules by Deployment
curl --request GET \
--url https://api.app.simplismart.ai/alerting/deployments/{deployment_id}/rules/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.app.simplismart.ai/alerting/deployments/{deployment_id}/rules/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.app.simplismart.ai/alerting/deployments/{deployment_id}/rules/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.simplismart.ai/alerting/deployments/{deployment_id}/rules/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.app.simplismart.ai/alerting/deployments/{deployment_id}/rules/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.app.simplismart.ai/alerting/deployments/{deployment_id}/rules/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.app.simplismart.ai/alerting/deployments/{deployment_id}/rules/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"alerts": [
{
"id": "...",
"name": "...",
"preset_id": "...",
"preset_name": "...",
"parameters": [],
"channel_ids": [
"..."
],
"severity": "...",
"pending_period": "...",
"evaluation_interval": "...",
"enabled": true,
"is_muted": false,
"deployment": {
"id": "...",
"slug": "...",
"name": "...",
"avatar": {}
},
"state": "...",
"health": "...",
"last_evaluation": "...",
"current_value": 0,
"firing_since": null
}
]
}Alerting
List Alert Rules by Deployment
Lists alert rules of one deployment.
GET
/
alerting
/
deployments
/
{deployment_id}
/
rules
/
List Alert Rules by Deployment
curl --request GET \
--url https://api.app.simplismart.ai/alerting/deployments/{deployment_id}/rules/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.app.simplismart.ai/alerting/deployments/{deployment_id}/rules/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.app.simplismart.ai/alerting/deployments/{deployment_id}/rules/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.simplismart.ai/alerting/deployments/{deployment_id}/rules/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.app.simplismart.ai/alerting/deployments/{deployment_id}/rules/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.app.simplismart.ai/alerting/deployments/{deployment_id}/rules/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.app.simplismart.ai/alerting/deployments/{deployment_id}/rules/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"alerts": [
{
"id": "...",
"name": "...",
"preset_id": "...",
"preset_name": "...",
"parameters": [],
"channel_ids": [
"..."
],
"severity": "...",
"pending_period": "...",
"evaluation_interval": "...",
"enabled": true,
"is_muted": false,
"deployment": {
"id": "...",
"slug": "...",
"name": "...",
"avatar": {}
},
"state": "...",
"health": "...",
"last_evaluation": "...",
"current_value": 0,
"firing_since": null
}
]
}